
%define name kde4-style-dekorator
%define version 0.5.1
%define sourcename dekorator


Name: %{name}
Summary: Themable and Customizable Window Decoration Engine for KDE 4
Version: %{version}
Release: %mkrel 3
Source0: %{sourcename}-%{version}.tar.xz
URL: http://www.kde-look.org/content/show.php/deKorator?content=87921
Group: Graphical desktop/KDE4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPLv2+
BuildRequires: kdebase4-workspace-devel
BuildRequires: cmake
BuildRequires: libqimageblitz-devel
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Unofficial port of the famous "deKorator" window decoration engine to KDE 4.
You can find themes at http://www.kde-look.org/index.php?xcontentmode=21

%prep
rm -rf %{buildroot}
%setup -q -n %{sourcename}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake_kde4
%make

%install
pushd build
%makeinstall_std
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG.original COPYING README README.original TODO
%{_kde_libdir}/kde4/kwin3_deKorator.so
%{_kde_libdir}/kde4/kwin_deKorator_config.so
%{_kde_appsdir}/kwin/deKorator.desktop
%{_kde_configdir}/deKoratorthemes.knsrc

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.5.1-2pclos2010
- rebuild for 4.5.1

* Mon Jul 19 2010 Chomp <chomptheman@gmail.com> 0.5.1-1pclos2010
- update

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.4.0.4-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.4.0.4-2pclos2010
- rebuild

* Thu Sep 24 2009 Texstar <texstar at gmail.com> 0.4.0.4-1pclos2009
- import

